List Agent Profiles
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/agent-profiles \
--header 'X-Asteroid-Agents-Api-Key: <api-key>'import requests
url = "https://odyssey.asteroid.ai/agents/v2/agent-profiles"
headers = {"X-Asteroid-Agents-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Asteroid-Agents-Api-Key': '<api-key>'}};
fetch('https://odyssey.asteroid.ai/agents/v2/agent-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"adblockActive": true,
"allow3rdCookies": true,
"cachePersistence": true,
"captchaSolverActive": true,
"cookies": [
{
"domain": "<string>",
"httpOnly": true,
"key": "<string>",
"name": "<string>",
"secure": true,
"value": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiry": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"credentials": [
{
"data": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"description": "<string>",
"extensionIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"extraStealth": true,
"forcePopupsAsTabsActive": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboxEmail": "<string>",
"mediaBlockerActive": true,
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pdfViewerActive": true,
"popupBlockerActive": true,
"stickyIP": true,
"tracingEnabled": true,
"updatedAt": "2023-11-07T05:31:56Z",
"customProxy": {
"server": "<string>",
"username": "<string>"
},
"inboxEmailPrefix": "<string>",
"proxyGatewayPresetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"proxyType": "basic"
}
],
"page": 123,
"pageSize": 123,
"total": 123
}{
"code": 400,
"message": "<string>"
}{
"code": 401,
"message": "<string>"
}{
"code": 403,
"message": "<string>"
}{
"code": 404,
"message": "<string>"
}{
"code": 500,
"message": "<string>"
}Agent Profiles
List Agent Profiles
List all agent profiles for an organization
GET
/
agent-profiles
List Agent Profiles
Authorizations
Query Parameters
Filter by organization ID
Search profiles by name (partial match)
Filter by proxy mode (can specify multiple, there is an 'OR' condition applied to these)
Proxy configuration mode
Available options:
none, managed, custom, gateway Filter by emulated operating system (can specify multiple, there is an 'OR' condition applied to these). Profiles without an explicit operating system count as macOS.
Operating system to emulate in the browser
Available options:
macos, windows Filter by active browser features (can specify multiple, there is an 'AND' condition applied to these — every listed feature must be enabled)
Browser feature toggles on an agent profile that can be filtered on
Available options:
extraStealth, allow3rdCookies, captchaSolverActive, stickyIP, cachePersistence, adblockActive, popupBlockerActive, forcePopupsAsTabsActive, mediaBlockerActive Available fields for sorting agent profiles
Available options:
name, created_at, updated_at Available options:
asc, desc ⌘I

